/* (C) 2022 YiRing, Inc. */
package com.yiring.app.constant.alarm;

import com.yiring.app.vo.CodeNameVo;
import java.util.ArrayList;
import java.util.List;
import lombok.Getter;

/**
 * 接受状态枚举
 * @author tml
 * @version 1.0
 * @date 2022/5/18 9:37
 */
public enum ReceiveStatusEnum {
    /**
     * 成功
     */
    SUCCESS(1, "成功"),

    /**
     * 失败
     */
    FAIL(2, "失败");

    private static final List<CodeNameVo> LIST;

    static {
        LIST = new ArrayList<>();
        for (ReceiveStatusEnum item : values()) {
            LIST.add(new CodeNameVo(item.getCode(), item.name));
        }
    }

    @Getter
    private final int code;

    @Getter
    private final String name;

    ReceiveStatusEnum(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public static String getByCode(int code) {
        for (ReceiveStatusEnum item : values()) {
            if (item.code == code) {
                return item.getName();
            }
        }
        return "未知状态";
    }

    public static List<CodeNameVo> findAll() {
        return LIST;
    }
}
