/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.location.fence;

import com.yiring.app.domain.location.LocationFenceAlarm;
import com.yiring.app.domain.location.LocationTag;
import com.yiring.app.param.location.rule.RuleParam;
import java.io.Serial;
import java.io.Serializable;
import java.util.List;
import java.util.Set;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.locationtech.jts.geom.Geometry;

/**
 * 扫描围栏报警的param
 * @author tml
 * @version 1.0
 * @date 2022/5/16 9:23
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class LocationFenceJobParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -1078898654919721759L;

    /**
     * 围栏的报警规则
     */
    private RuleParam rule;

    /**
     * 围栏id
     */
    private Long fenceId;

    /**
     * 围栏名称
     */
    private String fenceName;

    /**
     * 报警类别id
     */
    private Long alarmTypeId;

    /**
     * 围栏中的定位标签
     */
    private Set<LocationTag> tagSet;

    /**
     * 围栏所属的地图id
     */
    private Long mapId;

    /**
     * 围栏的空间信息
     */
    private Geometry geometry;

    /**
     * 属于该围栏当前正在报警的信息
     */
    private List<LocationFenceAlarm> oldAlarms;
}
