/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.key;

import com.yiring.app.param.key.KeyAlarmRuleAddParam;
import com.yiring.app.param.key.KeyAlarmRuleExportParam;
import com.yiring.app.param.key.KeyAlarmRuleModifyParam;
import com.yiring.app.param.key.KeyAlarmRulePageParam;
import com.yiring.app.vo.key.KeyAlarmRuleVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.IdParam;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * 按键报警规则
 *
 * @author LJ-2204
 * @date 2022/5/6
 */
public interface KeyAlarmRuleService {
    /**
     * 添加报警类型
     * @param keyAlarmRuleAddParam KeyAlarmRuleAddParam
     * @return Result<String>
     */
    Result<String> add(KeyAlarmRuleAddParam keyAlarmRuleAddParam);

    /**
     * 删除报警规则
     * @param idParam IdParam
     * @return Result<String>
     */
    Result<String> delete(IdParam idParam);

    /**
     * 修改报警规则
     * @param keyAlarmRuleModifyParam KeyAlarmRuleModifyParam
     * @return Result<String>
     */
    Result<String> modify(KeyAlarmRuleModifyParam keyAlarmRuleModifyParam);

    /**
     * 导出
     * @param keyAlarmRuleExportParam KeyAlarmRuleExportParam
     * @param response HttpServletResponse
     */
    void export(KeyAlarmRuleExportParam keyAlarmRuleExportParam, HttpServletResponse response);

    /**
     * 分页
     * @param keyAlarmRulePageParam KeyAlarmRulePageParam
     * @param pageParam PageParam
     * @return Result<PageVo<KeyAlarmRuleVo>>
     */
    Result<PageVo<KeyAlarmRuleVo>> page(KeyAlarmRulePageParam keyAlarmRulePageParam, PageParam pageParam);
}
