/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.location.fence;

import com.yiring.app.domain.location.LocationFenceAlarm;
import com.yiring.app.param.location.fence.FenceAlarmConditionParam;
import com.yiring.app.vo.IdNameVo;
import com.yiring.app.vo.location.fence.FenceAlarmVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import java.util.List;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/17 16:24
 */
public interface FenceAlarmService {
    /**
     * 查询围栏报警数据列表
     * @param param 查询条件
     * @param pageParam 分页参数
     * @return 报警数据
     */
    Result<PageVo<FenceAlarmVo>> findList(FenceAlarmConditionParam param, PageParam pageParam);

    /**
     * 查询围栏下拉框
     * @return 围栏id和名称
     */
    Result<PageVo<IdNameVo>> findFenceList();

    /**
     * 导出围栏报警数据
     * @param param 查询条件
     */
    void export(FenceAlarmConditionParam param, HttpServletResponse response);

    /**
     * 推送报警信息给前端
     * @param newAlarm 新生成的报警信息
     */
    void alarmPushWeb(List<LocationFenceAlarm> newAlarm);
}
