/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.equipment;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/16 9:56
 */
@ApiModel("EquipmentVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class EquipmentVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -3268799901290404934L;

    @ApiModelProperty(value = "设备编号", example = "1518841086628335616")
    String deviceId;

    @ApiModelProperty(value = "地图编号", example = "1518841086628335616")
    String areaId;

    @ApiModelProperty(value = "设备类型", example = "BTI:定位器 SXT:监控摄像头 GAT:闸机 LAB:指示牌 BTR:定位基站")
    String deviceType;

    @ApiModelProperty(value = "电量", example = "1")
    Integer volt;

    @ApiModelProperty(value = "电量单位(默认mV)", example = "mV")
    String field_21;

    @ApiModelProperty(value = "修改时间", example = "2022")
    LocalDateTime updateTime;
}
