/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.perstatistics;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/15 9:15
 */
@ApiModel("PersonnelStatisticsDetailVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PersonnelStatisticsDetailVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -1591876062645939080L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "区域id", example = "1")
    Long sourceId;

    @ApiModelProperty(value = "区域", example = "化工区")
    String region;

    @ApiModelProperty(value = "时间", example = "")
    LocalDateTime time;

    @ApiModelProperty(value = "是否入场")
    Boolean enter;

    @ApiModelProperty(value = "用户")
    UserVo userVo;

    @ApiModel("UserVo")
    @Data
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor
    @FieldDefaults(level = AccessLevel.PRIVATE)
    public static class UserVo implements Serializable {

        @Serial
        private static final long serialVersionUID = 4115779013003587949L;

        @ApiModelProperty(value = "被访人姓名", example = "张三")
        String realName;

        String uuid;

        String deptName;
    }
}
