/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.perstatistics;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/15 9:15
 */
@ApiModel("PersonnelStatisticsVo")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PersonnelStatisticsVo implements Serializable {

    @Serial
    private static final long serialVersionUID = -5973651085056867803L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "区域id", example = "1")
    Long sourceId;

    @ApiModelProperty(value = "区域", example = "化工区")
    String region;

    @ApiModelProperty(value = "入场人数", example = "10")
    Long admissionNumber;

    @ApiModelProperty(value = "出场人数", example = "5")
    Long attendance;

    @ApiModelProperty(value = "开始时间")
    LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间")
    LocalDateTime endTime;
}
